import request from '@/config/axios'

export interface MmResultTableVO {
  id: string
  tablename: string,
}

export interface MmResultTablePageReqVO extends PageParam {
  tablename?: string
}

// 查询MmResultTable列表
export const getMmResultTablePage = (params: MmResultTablePageReqVO) => {
  return request.get({ url: '/pre/predict-item/page', params })
}

// 查询MmResultTable详情
export const getMmResultTable = (id: number) => {
  return request.get({ url: `/pre/predict-item/get/${id}`})
}

// 新增MmResultTable
export const createMmResultTable = (data: MmResultTableVO) => {
  return request.post({ url: '/pre/predict-item/create', data })
}

// 修改MmResultTable
export const updateMmResultTable = (data: MmResultTableVO) => {
  return request.put({ url: '/pre/predict-item/update', data })
}

// 删除MmResultTable
export const deleteMmResultTable = (id: number) => {
  return request.delete({ url: '/pre/predict-item/delete?id=' + id })
}
